package sharin.doc.builder.xhtml1;

public class AreaElem extends GenericCommonElem<AreaElem> {

    public AreaElem(Object... nodes) {
        super("area", nodes);
    }

    public AreaElem accesskey(Object value) {
        return attr("accesskey", value);
    }

    public AreaElem alt(Object value) {
        return attr("alt", value);
    }

    public AreaElem coords(Object value) {
        return attr("coords", value);
    }

    public AreaElem href(Object value) {
        return attr("href", value);
    }

    public AreaElem nohref(boolean nohref) {
        return nohref ? nohref("nohref") : this;
    }

    public AreaElem nohref(Object value) {
        return attr("nohref", value);
    }

    public AreaElem onblur(Object value) {
        return attr("onblur", value);
    }

    public AreaElem onfocus(Object value) {
        return attr("onfocus", value);
    }

    public AreaElem shape(Object value) {
        return attr("shape", value);
    }

    public AreaElem tabindex(Object value) {
        return attr("tabindex", value);
    }

    public AreaElem target(Object value) {
        return attr("target", value);
    }
}
